Name:          cmark
Version:       0.31.1
Release:       1mamba
Summary:       CommonMark parsing and rendering library and program in C
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/commonmark/cmark
Source:        https://github.com/commonmark/cmark.git/%{version}/cmark-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
CommonMark parsing and rendering library and program in C.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/cmark
%{_mandir}/man1/cmark.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libcmark.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/cmark*.h
%{_libdir}/libcmark.so
%{_libdir}/pkgconfig/libcmark.pc
%dir %{_libdir}/cmake/cmark
%{_libdir}/cmake/cmark/cmark-*.cmake
%{_mandir}/man3/cmark.3*
%doc README.md

%changelog
* Sun Aug 04 2024 Automatic Build System <autodist@openmamba.org> 0.31.1-1mamba
- automatic version update by autodist

* Tue Jan 30 2024 Automatic Build System <autodist@openmamba.org> 0.31.0-1mamba
- automatic version update by autodist

* Tue Jan 24 2023 Automatic Build System <autodist@mambasoft.it> 0.30.3-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.30.2-1mamba
- package created using the webbuild interface
